Page MenuHomePhabricator

Editing articles talk page appears as pending edit in the article on Arabic Wikipedia
Closed, ResolvedPublic

Description

Hello,

Since few days (around 7-8 days), if you edit any articles talk page (Namespace=1) it directly appear as pending edit in the article itself (Namespace=0) on Arabic Wikipedia.

For example, I made this edit on this article talk page (photo1), then it appear as pending edit on the article (photo 2)[1].

(photo1)

(photo2)

Note:
[1] You can't see the pending edit (photo 2) if you don't have editor flag.

Expected result When editing namespace 1, it should appear as pending edit on namespace 0.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 20 2019, 4:59 PM
Zache added a subscriber: Zache.Dec 22 2019, 1:58 AM

I think that this is because page uses the talk page in a way that it is included as a template. (ie. there is a link in templatelinks database table between page and the talk page) the edits of the talk page will be handled like the edits to templates used in the article.

select * from arwiki_p.templatelinks where tl_from=657450 and tl_namespace NOT IN (828,10);
tl_fromtl_namespacetl_titletl_from_namespace
6574500بوبال0
6574501بوبال0

The inclusion of the talkpage itself seems to come from template linked below but i am not sure what it tries to do

The inclusion of the talkpage itself seems to come from template linked below but i am not sure what it tries to do

Hello @Zache this inclusion for track project assessments, but I don't think this iclusion made above issue, as the inclusion exist since November 2019, and this problem appeared only after 12 December 2019.

Probably related to edits made on MediaWiki-extensions-FlaggedRevs (MediaWiki 1.35/wmf.10)

Zache added a comment.Dec 26 2019, 8:00 AM

Probably related to edits made on MediaWiki-extensions-FlaggedRevs (MediaWiki 1.35/wmf.10)

There was "No changes for FlaggedRevs" on MediaWiki 1.35/wmf.10 update.

https://www.mediawiki.org/wiki/MediaWiki_1.35/wmf.10#FlaggedRevs

alanajjar added a comment.EditedDec 26 2019, 8:30 AM

There was "No changes for FlaggedRevs" on MediaWiki 1.35/wmf.10 update.

I see now! So do you recommend to remove this tracking inclusion (to try if it'll fix the issue)?

Zache added a comment.EditedDec 26 2019, 8:48 AM

The second option could be to set wgFlaggedRevsHandleIncludes to FR_INCLUDES_CURRENT ( value = 0 ) in InitialiseSettings.php so that FlaggedRevs would not track the included pages. However, this would mean that there would not be notifications from the file, module or template changes in articles either. If you doesn't need those notifications then this would simplify the user interface and this would be my recommendation.

Currently, arwiki is using default value FR_INCLUDES_STABLE which means that try to use a stable version or/and notify for the changes.

@Zache

Mr. Ibrahem stopped the tracking, and as I see the issue fixed now.

alanajjar closed this task as Resolved.Jan 7 2020, 11:20 AM
alanajjar assigned this task to Mr.Ibrahem.